#include <amxmodx>
#include <amxmisc>
#include <jctf>

#define PLUGIN	"Just Capture The Flag: [Addon] Quake Live Sounds"
#define AUTHOR	"Sugisaki"
#define VERSION	"4.01"

#define MAXPLAYERS	32

new SND_TEAM_TAKEN[] 		= "ctf_new/your_flag_taken.wav"
new SND_TEAM_SCORE[] 		= "ctf_new/your_team_scores.wav"
new SND_TEAM_RETURNED[]		= "ctf_new/your_flag_returned.wav"
new SND_ENEMY_RETURNED[]	= "ctf_new/enemy_flag_returned.wav"
new SND_ENEMY_SCORE[]		= "ctf_new/enemy_scores.wav"
new SND_ENEMY_TAKEN[] 		= "ctf_new/enemy_flag_taken.wav"
new SND_BLUE_RETURNED[]		= "ctf_new/blue_flag_returned.wav"
new SND_BLUE_SCORES[]		= "ctf_new/blue_scores.wav"
new SND_BLUE_TAKEN[]		= "ctf_new/blue_flag_taken.wav"
new SND_RED_RETURNED[]		= "ctf_new/red_flag_returned.wav"
new SND_RED_SCORES[]		= "ctf_new/red_scores.wav"
new SND_RED_TAKEN[]			= "ctf_new/red_flag_taken.wav"
new COMAND[]				= "spk "
//new COMAND[]				= "mp3 play sound/"

enum
{
	TEAM_NONE = 0,
	TEAM_RED,
	TEAM_BLUE,
	TEAM_SPEC
}

enum
{
	EVENT_TAKEN = 0,
	EVENT_DROPPED,
	EVENT_RETURNED,
	EVENT_SCORE,
}

public plugin_init()
{
	register_plugin(PLUGIN, VERSION, AUTHOR)
	register_cvar("ctf_sound_taken" , "0")
	register_cvar("ctf_sound_dropped", "0")
	register_cvar("ctf_sound_returned" , "0")
	register_cvar("ctf_sound_score" , "0")
}

public plugin_cfg()
{
	if(get_cvar_num("ctf_sound_taken") !=0)		set_cvar_num("ctf_sound_taken", 0)
	if(get_cvar_num("ctf_sound_dropped") !=0)	set_cvar_num("ctf_sound_dropped", 0)
	if(get_cvar_num("ctf_sound_returned") !=0)	set_cvar_num("ctf_sound_returned", 0)
	if(get_cvar_num("ctf_sound_score") !=0)		set_cvar_num("ctf_sound_score", 0)
}
public plugin_precache()
{
	precache_sound(SND_ENEMY_RETURNED)
	precache_sound(SND_ENEMY_SCORE)
	precache_sound(SND_ENEMY_TAKEN)
	precache_sound(SND_TEAM_SCORE)
	precache_sound(SND_TEAM_TAKEN)
	precache_sound(SND_TEAM_RETURNED)
	precache_sound(SND_BLUE_RETURNED)
	precache_sound(SND_BLUE_SCORES)
	precache_sound(SND_BLUE_TAKEN)
	precache_sound(SND_RED_RETURNED)
	precache_sound(SND_RED_SCORES)
	precache_sound(SND_RED_TAKEN)
}

public jctf_flag(iEvent, iPlayer, iFlagTeam)
{
	switch(iEvent)
	{
		case EVENT_TAKEN:	taken(iFlagTeam)
		case FLAG_RETURNED:	flagreturn(iFlagTeam)
		case FLAG_CAPTURED:	flagscore(iFlagTeam)
	}
}

public taken(iFlagTeam)
{
	switch(iFlagTeam)
	{
		case TEAM_RED:
		{
			new players[MAXPLAYERS]
			static num;
			static num2;
			static num3;
			get_players(players,num,"e","CT");
			
			for(new i; i < num; i++)
			{
				client_cmd(players[i], "%s%s",COMAND, SND_ENEMY_TAKEN)
			}
			
			get_players(players,num2,"e","TERRORIST");
			
			for(new i; i < num2; i++)
			{
				client_cmd(players[i], "%s%s",COMAND, SND_TEAM_TAKEN)
			}
			
			get_players(players,num3,"be","SPECTATOR");
			
			for(new i; i < num3; i++)
			{
				client_cmd(players[i], "%s%s",COMAND, SND_RED_TAKEN)
			}
		}
		case TEAM_BLUE:
		{
			new players[MAXPLAYERS]
			static num;
			static num2;
			static num3;
			get_players(players,num,"e","CT");
			
			for(new i; i < num; i++)
			{
				client_cmd(players[i],"%s%s",COMAND, SND_TEAM_TAKEN)
			}
			
			get_players(players,num2,"e","TERRORIST");
			
			for(new i; i < num2; i++)
			{
				client_cmd(players[i], "%s%s",COMAND, SND_ENEMY_TAKEN)
			}
			
			get_players(players,num3,"be","SPECTATOR");
			
			for(new i; i < num3; i++)
			{
				client_cmd(players[i], "%s%s",COMAND, SND_BLUE_TAKEN)
			}
		}
	}
}

public flagreturn(iFlagTeam)
{
	switch(iFlagTeam)
	{
		case TEAM_RED:
		{
			new players[MAXPLAYERS]
			static num;
			static num2;
			static num3;
			get_players(players,num,"e","CT");
			
			for(new i; i < num; i++)
			{
				client_cmd(players[i], "%s%s",COMAND, SND_ENEMY_RETURNED)
			}
			
			get_players(players,num2,"e","TERRORIST");
			
			for(new i; i < num2; i++)
			{
				client_cmd(players[i], "%s%s",COMAND, SND_TEAM_RETURNED)
			}
			
			get_players(players,num3,"be","SPECTATOR");
			
			for(new i; i < num3; i++)
			{
				client_cmd(players[i], "%s%s",COMAND, SND_BLUE_RETURNED)
			}
		}
		case TEAM_BLUE:
		{
			new players[MAXPLAYERS]
			static num;
			static num2;
			static num3;
			get_players(players,num,"e","CT");
			
			for(new i; i < num; i++)
			{
				client_cmd(players[i], "%s%s",COMAND, SND_TEAM_RETURNED)
			}
			
			get_players(players,num2,"e","TERRORIST");
			
			for(new i; i < num2; i++)
			{
				client_cmd(players[i], "mp3 play sound/%s", SND_ENEMY_RETURNED)
			}
			
			get_players(players,num3,"be","SPECTATOR");
			
			for(new i; i < num3; i++)
			{
				client_cmd(players[i], "%s%s",COMAND, SND_RED_RETURNED)
			}
		}
	}
}

public flagscore(iFlagTeam)
{
	switch(iFlagTeam)
	{
		case TEAM_RED:
		{
			new players[MAXPLAYERS]
			static num;
			static num2;
			static num3;
			
			get_players(players,num,"e","CT");
			
			for(new i; i < num; i++)
			{
				client_cmd(players[i], "%s%s",COMAND, SND_TEAM_SCORE)
			}
			
			get_players(players,num2,"e","TERRORIST");
			
			for(new i; i < num2; i++)
			{
				client_cmd(players[i], "%s%s",COMAND, SND_ENEMY_SCORE)
			}
			
			get_players(players,num3,"be","SPECTATOR");
			
			for(new i; i < num3; i++)
			{
				client_cmd(players[i], "%s%s",COMAND, SND_BLUE_SCORES)
			}
		}
		case TEAM_BLUE:
		{
			new players[MAXPLAYERS]
			static num;
			static num2;
			static num3;
			
			get_players(players,num,"e","CT");
			
			for(new i; i < num; i++)
			{
				client_cmd(players[i], "%s%s",COMAND, SND_ENEMY_SCORE)
			}
			
			get_players(players,num2,"e","TERRORIST");
			
			for(new i; i < num2; i++)
			{
				client_cmd(players[i], "%s%s",COMAND, SND_TEAM_SCORE)
			}
			
			get_players(players,num3,"be","SPECTATOR");
			
			for(new i; i < num3; i++)
			{
				client_cmd(players[i], "%s%s",COMAND, SND_RED_SCORES)
			}
		}
	}
}